package net.sf.gluebooster.demos.pojo.refactor;

import org.apache.commons.cli.Option;
import org.apache.commons.cli.Options;
import org.apache.commons.lang.ObjectUtils;

/**
 * TODO put methods into superclass. The constructors can be ignored.
 * 
 * @author cbauer
 *
 */
public class ObjectDescription extends net.sf.gluebooster.java.booster.essentials.meta.ObjectDescription {

	/**
	 * Just inherited
	 */
	public ObjectDescription() {
		super();
	}

	/**
	 * Just inherited
	 * 
	 * @param commandLineOptions
	 *            command line options
	 */
	public ObjectDescription(Option... commandLineOptions) {
		super(commandLineOptions);
	}

	/**
	 * Just inherited
	 * 
	 * @param commandLineOptions
	 *            command line options
	 */
	public ObjectDescription(Options commandLineOptions) {
		super(commandLineOptions);
	}

	/**
	 * Just inherited
	 * 
	 * @param name
	 *            name
	 * @param description
	 *            description
	 * @param valueClass
	 *            value class
	 * @param required
	 *            required
	 */
	public ObjectDescription(String name, String description, Class valueClass, boolean required) {
		super(name, description, valueClass, required);
	}

	/**
	 * Just inherited
	 * 
	 * @param name
	 *            name
	 * @param description
	 *            description
	 */
	public ObjectDescription(String name, String description) {
		super(name, description);
	}

	@Override
	public boolean equals(Object obj) {
		if (super.equals(obj)) {
			return true;
		} else if (obj instanceof ObjectDescription) {
			return ObjectUtils.equals(getName(), ((ObjectDescription) obj).getName());
		} else {
			return false;
		}
	}

	@Override
	public int hashCode() {
		Object name = getName();
		if (name == null) {
			return super.hashCode();
		} else {
			return name.hashCode();
		}
	}

}
