package net.sf.gluebooster.demos.pojo.refactor;

/**
 * Three elements grouped together.
 * @author cbauer
 *
 * @param <First>
 * @param <Second>
 * @param <Third>
 */
public class Triple<First, Second, Third> extends Tuple<First, Second, Third> {

	public Triple() {
		super();
	}

	/**
	 * Constructor with elements.
	 *  
	 * @param first the first element
	 * @param second the second element
	 * @param third the third element
	 */
	public Triple(First first, Second second, Third third) {
		super(first, second, third);
	}

}
