package net.sf.gluebooster.demos.pojo.refactor;

/**
 * Multiple elements.
 * 
 * Add more elements if necessary
 * 
 * @author CBauer
 * 
 * @param <First>
 * @param <Second>
 * @param <Third>
 */
public class Tuple<First, Second, Third> {

	/**
	 * The first element.
	 */
	private First first;
	
	/**
	 * The second element.
	 */
	private Second second;
	
	/**
	 * The third element.
	 */
	private Third third;

	public final First getFirst() {
		return first;
	}

	public final void setFirst(First first) {
		this.first = first;
	}

	public final Second getSecond() {
		return second;
	}

	public final void setSecond(Second second) {
		this.second = second;
	}

	public final Third getThird() {
		return third;
	}

	public final void setThird(Third third) {
		this.third = third;
	}

	public Tuple() {

	}

	public Tuple(First first, Second second, Third third) {
		this.first = first;
		this.second = second;
		this.third = third;
	}

	@Override
	public String toString() {
		return "[" + first + ", " + second + ", " + third + "]";
	}

}
