package net.sf.gluebooster.demos.pojo.planning;

import net.sf.gluebooster.java.booster.essentials.logging.LogBooster;

/**
 * Environment and constraints for a planner.
 * 
 * @author CBauer
 *
 */
public class PlannerEnv {

	/**
	 * The log for planning informations.
	 */
	private LogBooster planningLog;

	/**
	 * The maximum number of steps, a planner should do.
	 */
	private int maxSteps = Integer.MAX_VALUE;

	public LogBooster getPlanningLog() {
		return planningLog;
	}

	public void setPlanningLog(LogBooster planningLog) {
		this.planningLog = planningLog;
	}

	public int getMaxSteps() {
		return maxSteps;
	}

	public void setMaxSteps(int maxSteps) {
		this.maxSteps = maxSteps;
	}


}
