package net.sf.gluebooster.demos.pojo.planning;

import net.sf.gluebooster.java.booster.essentials.meta.HasName;

/**
 * One object of the world.
 * 
 * TODO create a fitting cloneable interface or put the method into another
 * interface.
 * 
 * @author CBauer
 *
 * @param <Name>
 * @param <Implementation>
 */
public interface WorldObject<Name, Implementation extends WorldObject<Name, Implementation>>
		extends HasName<Name>, Cloneable {

	/**
	 * Clone operation with generics.
	 * 
	 * @return the cloned this
	 */
	Implementation cloneMe() throws Exception;


}
