package net.sf.gluebooster.demos.pojo.refactor;

/**
 * States that the instance can create sourcecode of itself.
 * 
 * @author CBauer
 * 
 */
public interface Codable {

	/**
	 * Creates sourcecode of itself.
	 * 
	 * @param result
	 *            the sourcecode will be appended here
	 * @param parameters
	 *            parameters of the generation (if necessary)
	 * @return the sourcecode
	 */
	String asSourcecode(StringBuilder result, Object... parameters)
			throws Exception;
}
