package net.sf.gluebooster.demos.pojo.refactor;

/**
 * Describes that an object has attributes.
 * 
 * @author cbauer
 *
 */
public interface HasAttributes {

	/**
	 * Sets the attribute
	 * 
	 * @param key
	 *            the key/name of the attribute
	 * @param value
	 *            the value of the attribute
	 */
	void setAttribute(Object key, Object value) throws Exception;

	/**
	 * Gets the attribute
	 * 
	 * @param key
	 *            the key under which the attribute was stored before
	 * @return the found value
	 */
	<Result> Result getAttribute(Object key) throws Exception;

}
