package net.sf.gluebooster.demos.pojo.refactor;

/**
 * Objects that have a toString-method.
 * 
 * @author cbauer
 *
 */
public interface Stringable {

	/**
	 * Displays the object on different detail levels.
	 * 
	 * 
	 * @param level
	 *            level 0 = toString(), level 1 = more details, level -1 = less
	 *            details, level 2 = much more details, ... etc.
	 * @return a description of this object
	 */
	public String toString(int level) throws Exception;

}
