package net.sf.gluebooster.demos.pojo.refactor;


/**
 * Logs the input if it is not null.
 * 
 * Returns Boolean.True if the input was not null otherwise Boolean.FALSE
 * 
 * @author CBauer
 *
 */
public class TransformerByLogging extends
		BoostedObjectFactory<Object, Boolean> {




	@Override
	protected Boolean transformWithException(Object input) throws Exception {

		if (input == null) {
			return Boolean.FALSE;
		} else {
			getLog().info(input);
			return Boolean.TRUE;
		}
	}

}
