package net.sf.gluebooster.demos.pojo.clock;

import java.io.File;

import javax.swing.JFrame;

import org.junit.Test;

import net.sf.gluebooster.demos.pojo.refactor.ExtendedTestRoot;
import net.sf.gluebooster.java.booster.essentials.meta.Example;

public class DigitalClockTest extends ExtendedTestRoot {

	/**
	 * An example of the displayed digital clock.
	 * 
	 * <img src="images/digitalClock.png"/><br/>
	 * 
	 * @throws Exception
	 */
	@Test
	@Example(clasz = DigitalClock.class)
	public void displayDigitalClockInForegroundDemo() throws Exception {
		// [gb:useInDocumentation]
		JFrame frame = DigitalClock.displayDigitalClockInForeground();
		// [/gb:useInDocumentation]
		File directory = createTempDirectory("images");
		createScreenshot(directory, "digitalClock", frame);

		copyExampleResultFiles(directory);
		frame.setVisible(false);
	}

}
